Subject: Re: linux-next: triage for March 18, 2012

From: [email-masked]
Date: Mon, 19 Mar 2012 17:56:53 -0400

On Mon, 19 Mar 2012 19:41:44 -0000, David Howells said:
> [email-masked] wrote:
>
> > Umm.. it's not clear to *me* that it's intended to be a negative 16 bit?  Or
> > am I just missing context not present in the patch?
> >
> > (I have no idea if the rest of the patch is OK or not, but that comment
> > didn't give me warm fuzzies....)

> The patch permits a 64-bit hosted assembler to represent a large 32-bit
> unsigned integer (such as 0xfffffff1) as a negative integer where the
> instruction being assembled has a signed immediate operand.

Oh, I understood the gist of the patch.  My question was specifically
regarding the comment saying:

"0xffffe000 is clearly intended to be a negative 16-bit value"

I'd guess it was a negative *32* bit value, unless there's context constraining it to 16....